Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Delete membership

DELETE/workspaces/{organizationId}/memberships/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Membership deleted

deletedbooleanrequired
idstringrequired
userIdstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://pile.nyc/workspaces/string/memberships/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "deleted": true,
  "id": "string",
  "userId": "string"
}

Was this page helpful?